Package org.apache.storm.utils

# Class WrappedKeyNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.storm.thrift.TException
org.apache.storm.generated.KeyNotFoundException
org.apache.storm.utils.WrappedKeyNotFoundException

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<KeyNotFoundException>`, `org.apache.storm.thrift.TBase<KeyNotFoundException,KeyNotFoundException._Fields>`, `org.apache.storm.thrift.TSerializable`

public class WrappedKeyNotFoundException extends KeyNotFoundException
Wraps the generated TException to allow getMessage() to return a valid string.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.storm.generated.KeyNotFoundException

  `KeyNotFoundException._Fields`

- ## Field Summary

  ### Fields inherited from class org.apache.storm.generated.KeyNotFoundException

  `metaDataMap`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WrappedKeyNotFoundException(String msg)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMessage()`

  ### Methods inherited from class org.apache.storm.generated.KeyNotFoundException

  `clear, compareTo, deepCopy, equals, equals, fieldForId, get_msg, getFieldValue, hashCode, is_set_msg, isSet, read, set_msg, set_msg_isSet, setFieldValue, toString, unset_msg, validate, write`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WrappedKeyNotFoundException

    public WrappedKeyNotFoundException(String msg)

- ## Method Details

  - ### getMessage

    public String getMessage()
    Overrides:
      `getMessage` in class `Throwable`